Bug 1289569 - [abrt] ekiga: boost::shared_ptr<boost::signals::detail::signal_base_impl>::shared_ptr(): ekiga killed by SIGSEGV
[abrt] ekiga: boost::shared_ptr<boost::signals::detail::signal_base_impl>::sh...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b788a56c009ced51a7ad6a83f7a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 07:49 EST by Ingo Weiss
Modified: 2016-12-20 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:45:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.79 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: cgroup (284 bytes, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: core_backtrace (6.96 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: dso_list (20.02 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: environ (5.17 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: maps (108.19 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: mountinfo (3.77 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: open_fds (2.19 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-12-08 07:49 EST, Ingo Weiss
no flags Details

  None (edit)
Description Ingo Weiss 2015-12-08 07:49:10 EST
Version-Release number of selected component:
ekiga-4.0.1-23.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ekiga -d 2
crash_function: boost::shared_ptr<boost::signals::detail::signal_base_impl>::shared_ptr
executable:     /usr/bin/ekiga
global_pid:     27697
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 boost::shared_ptr<boost::signals::detail::signal_base_impl>::shared_ptr at boost/smart_ptr/shared_ptr.hpp:323
 #1 boost::signals::detail::call_notification::call_notification at libs/signals/src/signal_base.cpp:157
 #2 boost::signal0<void, boost::last_value<void>, int, std::less<int>, boost::function0<void> >::operator() at /usr/include/boost/signals/signal_template.hpp:368
 #3 Opal::Account::handle_registration_event at ../lib/engine/components/opal/opal-account.cpp:677
 #4 Opal::Sip::EndPoint::registration_event_in_main at ../lib/engine/components/opal/sip-endpoint.cpp:1018
 #5 boost::_mfi::mf3<void, Opal::Sip::EndPoint, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, Opal::Account::RegistrationState, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >::operator() at /usr/include/boost/bind/mem_fn_template.hpp:393
 #6 boost::_bi::list4<boost::_bi::value<Opal::Sip::EndPoint*>, boost::_bi::value<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, boost::_bi::value<Opal::Account::RegistrationState>, boost::_bi::value<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >::operator()<boost::_mfi::mf3<void, Opal::Sip::EndPoint, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, Opal::Account::RegistrationState, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, boost::_bi::list0> at /usr/include/boost/bind/bind.hpp:457
 #7 boost::_bi::bind_t<void, boost::_mfi::mf3<void, Opal::Sip::EndPoint, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, Opal::Account::RegistrationState, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, boost::_bi::list4<boost::_bi::value<Opal::Sip::EndPoint*>, boost::_bi::value<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, boost::_bi::value<Opal::Account::RegistrationState>, boost::_bi::value<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >::operator() at /usr/include/boost/bind/bind_template.hpp:20
 #8 boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf3<void, Opal::Sip::EndPoint, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, Opal::Account::RegistrationState, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, boost::_bi::list4<boost::_bi::value<Opal::Sip::EndPoint*>, boost::_bi::value<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, boost::_bi::value<Opal::Account::RegistrationState>, boost::_bi::value<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >, void>::invoke at /usr/include/boost/function/function_template.hpp:159
 #9 boost::function0<void>::operator() at /usr/include/boost/function/function_template.hpp:773
Comment 1 Ingo Weiss 2015-12-08 07:49:14 EST
Created attachment 1103591 [details]
File: backtrace
Comment 2 Ingo Weiss 2015-12-08 07:49:15 EST
Created attachment 1103592 [details]
File: cgroup
Comment 3 Ingo Weiss 2015-12-08 07:49:17 EST
Created attachment 1103593 [details]
File: core_backtrace
Comment 4 Ingo Weiss 2015-12-08 07:49:18 EST
Created attachment 1103594 [details]
File: dso_list
Comment 5 Ingo Weiss 2015-12-08 07:49:20 EST
Created attachment 1103595 [details]
File: environ
Comment 6 Ingo Weiss 2015-12-08 07:49:21 EST
Created attachment 1103596 [details]
File: exploitable
Comment 7 Ingo Weiss 2015-12-08 07:49:23 EST
Created attachment 1103597 [details]
File: limits
Comment 8 Ingo Weiss 2015-12-08 07:49:25 EST
Created attachment 1103598 [details]
File: maps
Comment 9 Ingo Weiss 2015-12-08 07:49:26 EST
Created attachment 1103599 [details]
File: mountinfo
Comment 10 Ingo Weiss 2015-12-08 07:49:28 EST
Created attachment 1103600 [details]
File: namespaces
Comment 11 Ingo Weiss 2015-12-08 07:49:29 EST
Created attachment 1103601 [details]
File: open_fds
Comment 12 Ingo Weiss 2015-12-08 07:49:30 EST
Created attachment 1103602 [details]
File: proc_pid_status
Comment 13 Fedora End Of Life 2016-11-24 09:04:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 11:45:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.